/*
 *  cfloat.c
 *
 *  Simple test program to excercise the software floating point
 *  library.
 *
 *  Author:
 *    David Fiddes, D.J@fiddes.net
 *    http://fiddes.net/coldfire/
 *
 *  This code has no copyright and may freely be used in whatever 
 *  manner you see fit.
 *
 *  THIS CODE AND INFORMATION IS PROVIDED "AS IS" WITHOUT WARRANTY 
 *  OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING BUT NOT    
 *  LIMITED TO THE IMPLIED WARRANTIES OF MERCHANTABILITY AND/OR    
 *  FITNESS FOR A PARTICULAR PURPOSE.                              
 */
#include <math.h>
#include <stdio.h>

int main()
{
  float a;
  float b;
  float z;
  a = 1.3;
  b = 2.7;
  printf(" a = %f , b = %f\n",a,b);
  z = a + b;
  printf(" a + b = %f\n",z);
  z = sqrt(z);
  printf("sqrt(a+b) = %f\n",z);
  
  return 0;
}
